# flatpak make-current

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak make-current
1

# flatpak-make-current

Make a specific version of an app current

                    flatpak make-current
                    OPTION
                    APP
                    BRANCH

## Description

Makes a particular branch of an application current. Only the current branch of an app has its exported files (such as desktop files and icons) made visible to the host.

When a new branch is installed it will automatically be made current, so this command is often not needed.

Unless overridden with the `--user` or `--installation` options, this command changes the default system-wide installation.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--user`

  Update a per-user installation.

`--system`

  Update the default system-wide installation.

`--installation=NAME`

  Updates a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`--arch=ARCH`

  The architecture to install for.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak --user make-current org.gnome.gedit 3.14`

## See also

flatpak 1, flatpak-install 1, flatpak-list 1